Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228598

Summary: lost and found in kmenu
Product: [Fedora] Fedora Reporter: Chitlesh GOORAH <chitlesh>
Component: kicadAssignee: Alain Portal <alain.portal>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-14 10:16:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Chitlesh GOORAH 2007-02-13 22:20:23 UTC
Description of problem:
kicad has a kmenu entry in lost and found. Below is a fix, which allows it to be
present in the same category as other scientific/electronic packages.

kicad-2007.01.15-1.fc6

Patch:

--- /home/chitlesh/rpmbuild/SOURCES/kicad.desktop       2006-07-11
17:18:15.000000000 +0200
+++ /usr/share/applications/fedora-kicad.desktop        2007-02-13
12:44:16.000000000 +0100
@@ -1,5 +1,6 @@
 [Desktop Entry]
-Categories=Application;
+#Categories=Application;X-Fedora;Electronics;Engineering;
+Categories=Qt;KDE;Education;Science;Engineering;X-Fedora;
 Comment=Une suite logicielle intégrée pour la saisie de schémas et le routage
de circuits imprimés
 Comment[fr]=Une suite logicielle intégrée pour la saisie de schémas et le
routage de circuits imprimés
 Encoding=UTF-8


(easy fix)

Comment 1 Chitlesh GOORAH 2007-02-13 22:22:19 UTC
see how it can be done in your spec file with desktop-file-utils instead of the
patch:
http://fedoraproject.org/wiki/PackagingDrafts/DesktopFiles

Comment 2 Alain Portal 2007-02-14 10:16:01 UTC
As I have to fix other thing in the desktop file, I prefer modify it.
Thank for report.